Get Omnichannel Contact

Prev Next
Get
/api/v1/omnichannel/contact

Note: This endpoint will be replaced. Refer to the new API documentation for updated usage and features.

Get an Omnichannel contact by ID. Permission required: view-l-room.

The response does not include the contact's visitor token.

Changelog

Version Description
8.9.0 Removed the visitor token from the response.
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
contactId
stringRequired

The contact ID.

Example62fbed6d337291dc9a68ff89
Responses
200

OK

Success Example
{
  "contact": {
    "_id": "62fbed6d337291dc9a68ff89",
    "username": "guest-16",
    "status": "online",
    "ts": "2022-08-16T19:18:05.380Z",
    "_updatedAt": "2022-08-23T17:58:37.254Z",
    "name": "Kev",
    "visitorEmails": [
      {
        "address": "email@rocket.chat"
      }
    ]
  },
  "success": true
}
Expand All
object
contact
object | null
_id
string
username
string
status
string
ts
string
_updatedAt
string
department
string
name
string
visitorEmails
Array of object
object
address
string
phone
Array of object
object
phoneNumber
string
livechatData
object
success
boolean
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Permission Error
{
  "success": false,
  "error": "User does not have the permissions required for this action [error-unauthorized]"
}
Unauthorized
{
  "success": false,
  "error": "unauthorized"
}
object
success
boolean
error
string